use crate::metric::{Metrics, Metric, MType};
use std::time::{SystemTime, UNIX_EPOCH};

pub fn scrape() -> Metrics {
    let mut met = Metrics::new();
    let start = SystemTime::now();
    let since_the_epoch = start
        .duration_since(UNIX_EPOCH)
        .expect("Time went backwards");
    met.metrics.push(Metric::new_val("node_time_seconds", MType::Gauge, since_the_epoch.as_secs() as f64));
    return met
}
